/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.conges;

import org.cocktail.mangue.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class CongeGardeEnfantView extends javax.swing.JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = 2554874596526680018L;

	/** Creates new form TemplateJDialog */
    public CongeGardeEnfantView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        jSeparator4 = new javax.swing.JSeparator();
        jPanel2 = new javax.swing.JPanel();
        tfFin = new javax.swing.JTextField();
        tfDebut = new javax.swing.JTextField();
        jLabel27 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        tfIdentiteEnfant = new javax.swing.JTextField();
        checkAmDebut = new javax.swing.JRadioButton();
        checkPmDebut = new javax.swing.JRadioButton();
        checkAmFin = new javax.swing.JRadioButton();
        checkPmFin = new javax.swing.JRadioButton();
        jLabel29 = new javax.swing.JLabel();
        tfDateJustificatif = new javax.swing.JTextField();
        btnGetEnfant = new javax.swing.JButton();
        jLabel30 = new javax.swing.JLabel();
        tfDroits = new javax.swing.JTextField();
        btnImprimerArrete = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tfCommentaires = new javax.swing.JTextArea();
        jLabel25 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("CONGE GARDE ENFANT");
        setResizable(false);

        btnValider.setText("Valider");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        btnAnnuler.setText("Annuler");
        btnAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnnulerActionPerformed(evt);
            }
        });

        tfFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFinActionPerformed(evt);
            }
        });

        tfDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDebut.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfDebutActionPerformed(evt);
            }
        });

        jLabel27.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel27.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel27.setText("FIN :");

        jLabel26.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel26.setText("DEBUT :");

        jLabel28.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel28.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel28.setText("Enfant :");

        tfIdentiteEnfant.setEditable(false);
        tfIdentiteEnfant.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfIdentiteEnfant.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfIdentiteEnfantActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkAmDebut);
        checkAmDebut.setSelected(true);
        checkAmDebut.setText("am");

        buttonGroup1.add(checkPmDebut);
        checkPmDebut.setText("pm");

        buttonGroup2.add(checkAmFin);
        checkAmFin.setText("am");

        buttonGroup2.add(checkPmFin);
        checkPmFin.setText("pm");

        jLabel29.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel29.setText("Date justificatif :");

        tfDateJustificatif.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateJustificatif.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfDateJustificatifActionPerformed(evt);
            }
        });

        btnGetEnfant.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGetEnfantActionPerformed(evt);
            }
        });

        jLabel30.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel30.setText("Droits :");

        tfDroits.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDroits.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfDroitsActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(jLabel28, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jLabel29, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 106, Short.MAX_VALUE))
                            .add(jLabel30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(tfIdentiteEnfant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 222, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetEnfant))
                            .add(tfDateJustificatif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfDroits)))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                                .add(jLabel27, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFin))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                                .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(checkAmDebut)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkPmDebut))
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(checkAmFin)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkPmFin)))))
                .addContainerGap(104, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel26)
                            .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel27)
                            .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(checkAmDebut)
                            .add(checkPmDebut))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(checkAmFin)
                            .add(checkPmFin))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel28)
                            .add(tfIdentiteEnfant))
                        .add(13, 13, 13)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel29)
                            .add(tfDateJustificatif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(btnGetEnfant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel30)
                    .add(tfDroits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        btnImprimerArrete.setText("Imprimer Arrêté");
        btnImprimerArrete.setToolTipText("Sélection d'un type de congé maternité");
        btnImprimerArrete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnImprimerArreteActionPerformed(evt);
            }
        });

        tfCommentaires.setColumns(20);
        tfCommentaires.setRows(5);
        jScrollPane1.setViewportView(tfCommentaires);

        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel25.setText("Observations :");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 88, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(370, 370, 370))
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 465, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel25)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .add(jSeparator4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 1, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(10, 10, 10)
                        .add(btnImprimerArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 150, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 118, Short.MAX_VALUE)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(44, 44, 44)
                        .add(jSeparator4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 0, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler)
                    .add(btnImprimerArrete))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-512)/2, (screenSize.height-373)/2, 512, 373);
    }// </editor-fold>//GEN-END:initComponents

private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_btnValiderActionPerformed

private void btnAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnnulerActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_btnAnnulerActionPerformed

private void tfDebutActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfDebutActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfDebutActionPerformed

private void tfFinActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFinActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfFinActionPerformed

private void tfIdentiteEnfantActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfIdentiteEnfantActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfIdentiteEnfantActionPerformed

private void btnImprimerArreteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnImprimerArreteActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_btnImprimerArreteActionPerformed

private void tfDateJustificatifActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfDateJustificatifActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfDateJustificatifActionPerformed

private void tfDroitsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfDroitsActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfDroitsActionPerformed

private void btnGetEnfantActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGetEnfantActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_btnGetEnfantActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	CongeGardeEnfantView dialog = new CongeGardeEnfantView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }



    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnGetEnfant;
    private javax.swing.JButton btnImprimerArrete;
    protected javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.JRadioButton checkAmDebut;
    private javax.swing.JRadioButton checkAmFin;
    private javax.swing.JRadioButton checkPmDebut;
    private javax.swing.JRadioButton checkPmFin;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSeparator jSeparator4;
    private javax.swing.JTextArea tfCommentaires;
    private javax.swing.JTextField tfDateJustificatif;
    private javax.swing.JTextField tfDebut;
    private javax.swing.JTextField tfDroits;
    private javax.swing.JTextField tfFin;
    private javax.swing.JTextField tfIdentiteEnfant;
    // End of variables declaration//GEN-END:variables
    
    public void initGui() {
    	    	    	
    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnGetEnfant.setIcon(CocktailIcones.ICON_SELECT_16);

    	btnImprimerArrete.setIcon(CocktailIcones.ICON_PRINTER_16);

    }

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnGetEnfant() {
		return btnGetEnfant;
	}

	public void setBtnGetEnfant(javax.swing.JButton btnGetEnfant) {
		this.btnGetEnfant = btnGetEnfant;
	}

	public javax.swing.JButton getBtnImprimerArrete() {
		return btnImprimerArrete;
	}

	public void setBtnImprimerArrete(javax.swing.JButton btnImprimerArrete) {
		this.btnImprimerArrete = btnImprimerArrete;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JRadioButton getCheckAmDebut() {
		return checkAmDebut;
	}

	public void setCheckAmDebut(javax.swing.JRadioButton checkAmDebut) {
		this.checkAmDebut = checkAmDebut;
	}

	public javax.swing.JRadioButton getCheckAmFin() {
		return checkAmFin;
	}

	public void setCheckAmFin(javax.swing.JRadioButton checkAmFin) {
		this.checkAmFin = checkAmFin;
	}

	public javax.swing.JRadioButton getCheckPmDebut() {
		return checkPmDebut;
	}

	public void setCheckPmDebut(javax.swing.JRadioButton checkPmDebut) {
		this.checkPmDebut = checkPmDebut;
	}

	public javax.swing.JRadioButton getCheckPmFin() {
		return checkPmFin;
	}

	public void setCheckPmFin(javax.swing.JRadioButton checkPmFin) {
		this.checkPmFin = checkPmFin;
	}

	public javax.swing.JTextArea getTfCommentaires() {
		return tfCommentaires;
	}

	public void setTfCommentaires(javax.swing.JTextArea tfCommentaires) {
		this.tfCommentaires = tfCommentaires;
	}

	public javax.swing.JTextField getTfDateJustificatif() {
		return tfDateJustificatif;
	}

	public void setTfDateJustificatif(javax.swing.JTextField tfDateJustificatif) {
		this.tfDateJustificatif = tfDateJustificatif;
	}

	public javax.swing.JTextField getTfDebut() {
		return tfDebut;
	}

	public void setTfDebut(javax.swing.JTextField tfDebut) {
		this.tfDebut = tfDebut;
	}

	public javax.swing.JTextField getTfFin() {
		return tfFin;
	}

	public void setTfFin(javax.swing.JTextField tfFin) {
		this.tfFin = tfFin;
	}

	public javax.swing.JTextField getTfIdentiteEnfant() {
		return tfIdentiteEnfant;
	}

	public void setTfIdentiteEnfant(javax.swing.JTextField tfIdentiteEnfant) {
		this.tfIdentiteEnfant = tfIdentiteEnfant;
	}

	public javax.swing.JTextField getTfDroits() {
		return tfDroits;
	}

	public void setTfDroits(javax.swing.JTextField tfDroits) {
		this.tfDroits = tfDroits;
	}

    


}
